services:
  chatgpt-next-web:
    image: yidadaa/chatgpt-next-web
    ports:
      - "3000:3000"
    environment:
      OPENAI_API_KEY: "gptyyds"
      CODE: "HelloGPT" # 如果你想要设置页面的访问密码，请修改这里
      BASE_URL: "http://freegpt35:3040"
      CUSTOM_MODELS: "-all,+gpt-3.5-turbo"
    depends_on:
      - freegpt35

  freegpt35:
    image: missuo/freegpt35:latest
    restart: always
    ports:
      - "3040:3040"
